Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.specific
Class SecurityFilterDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
              org.mule.config.spring.parsers.delegate.AbstractParallelDelegatingDefinitionParser
                  org.mule.config.spring.parsers.delegate.ParentContextDefinitionParser
                      org.mule.config.spring.parsers.specific.SecurityFilterDefinitionParser

All Implemented Interfaces:
  WrappingChildDefinitionParser.WrappingController, MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

    public class SecurityFilterDefinitionParser

extends ParentContextDefinitionParser
implements WrappingChildDefinitionParser.WrappingController

This allows a security filter to be defined globally, or embedded within an endpoint. The filter is always wrapped in a SecurityFilterMessageProcessorBuilder instance before being injected into the parent.

Field Summary
`static String` | `ATTRIBUTE_NAME`
`static String` | `SECURITY_FILTER`

Fields inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`logger`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`SecurityFilterDefinitionParser()`
`SecurityFilterDefinitionParser(Class filter)`

Method Summary
`boolean` | `shouldWrap(Element elm)`

Methods inherited from class org.mule.config.spring.parsers.delegate.ParentContextDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, and, getDelegate, getOtherwise, otherwise, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractParallelDelegatingDefinitionParser
`muleParse`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`addDelegate, getBeanName, getDelegate, parseInternal, size`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Field Detail

### SECURITY_FILTER

    public static final String SECURITY_FILTER

See Also:
  Constant Field Values

### ATTRIBUTE_NAME

    public static final String ATTRIBUTE_NAME

See Also:
  Constant Field Values

Constructor Detail

### SecurityFilterDefinitionParser

    public SecurityFilterDefinitionParser(Class filter)

### SecurityFilterDefinitionParser

    public SecurityFilterDefinitionParser()

Method Detail

### shouldWrap

    public boolean shouldWrap(Element elm)

  Specified by:
    `shouldWrap` in interface `WrappingChildDefinitionParser.WrappingController`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.